-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name

CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

---create view
DROP VIEW IF EXISTS :schema.vw_join_gncy_rts_trps_srvcs_vbn_rt CASCADE;
CREATE OR REPLACE VIEW :schema.vw_join_gncy_rts_trps_srvcs_vbn_rt
AS SELECT trps.agency_id, trps.agency_name, trps.route_id, trps.route_short_name, trps.service_id, trps.trip_id, trps.trip_short_name, trps.trip_headsign, srvcs.dates FROM :schema.vw_join_gncy_rts_trps AS trps LEFT JOIN :schema.services AS srvcs ON trps.service_id = srvcs.service_id WHERE trps.agency_id != '123' AND trps.agency_id != '1542' AND trps.agency_id != '552' AND trps.agency_id != '553' AND trps.agency_id != '271' ORDER BY trps.agency_name, trps.route_id, trps.trip_id;
